# Popularity Leaderboard

`GET` `/v1/quote/market/rank/list`

Get the stock ranking for a given leaderboard tag key. The key comes from `rank_categories` `second_tags[].key`, e.g. `hot_all-us` (US total hotness).

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `key` | string | Yes | Leaderboard tag key from `rank_categories` `second_tags[].key` |
| `need_article` | boolean | No | Whether to return associated articles, default `false` |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/market/rank/list?key=<key>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `bmp` | boolean | No | Whether the response is a market preview (before open) |
| `lists` | object[] | No | Leaderboard stock list |
| `└ code` | string | No | Ticker code (e.g. `MU`) |
| `└ symbol` | string | No | Symbol in `CODE.MARKET` format (e.g. `MU.US`) |
| `└ name` | string | No | Security name |
| `└ last_done` | string | No | Latest trade price |
| `└ chg` | string | No | Price change ratio as decimal (e.g. `0.0252` = 2.52%) |
| `└ change` | string | No | Absolute price change (e.g. `17.200`) |
| `└ inflow` | string | No | Net capital inflow (in the market's currency) |
| `└ market_cap` | string | No | Market capitalisation |
| `└ industry` | string | No | Industry classification |
| `└ pre_post_price` | string | No | Pre/post-market price |
| `└ pre_post_chg` | string | No | Pre/post-market price change ratio (decimal) |
| `└ amplitude` | string | No | Amplitude / intraday range ratio (decimal) |
| `└ five_day_chg` | string | No | 5-day price change ratio (decimal) |
| `└ turnover_rate` | string | No | Turnover rate (decimal) |
| `└ volume_rate` | string | No | Volume ratio (vs average) |
| `└ pb_ttm` | string | No | Price-to-book ratio (TTM) |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "bmp": false,
    "lists": [
      {
        "code": "MU",
        "symbol": "MU.US",
        "name": "Micron Technology",
        "last_done": "698.740",
        "chg": "0.0252",
        "change": "17.200",
        "inflow": "-347041642",
        "market_cap": "787992890796",
        "industry": "Semiconductor Manufacturers",
        "pre_post_price": "726.600",
        "pre_post_chg": "0.0399",
        "amplitude": "0.1082",
        "five_day_chg": "-0.0885",
        "turnover_rate": "0.0550",
        "volume_rate": "1.11",
        "pb_ttm": "32.68"
      }
    ]
  }
}
```
